import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const auctionSlaughterRequests = createAsyncThunk(
  "AUCTION_SLAUGHTER_REQUESTS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(`kill_house_Request_auction/`);
    dispatch(LOADING_END());
    return { data, status };
  }
);
